Blue Cat's Free Pack PC Update / Mac VST final / Mac AU beta

Official support for: bluecataudio.com
User avatar
Blue Cat Audio
KVRAF
4821 posts since 8 Sep, 2004 from Paris (France)

Post Fri Nov 21, 2008 9:43 am

Blue Cat's Freeware pack has been updated! The new update contains improvements for the PC version, VST for Mac is now official and out of beta stage (it fixes compatibility issues with several hosts and removes the extra window that appeared in some of them), and Audio Units are now available for public beta testing.

You can discuss ths topic here, as well as report bugs on the Audio Unit beta version.

Enjoy, it's 100% free!

Image
(click here for full scale image)
Last edited by Blue Cat Audio on Tue Mar 10, 2009 10:06 pm, edited 1 time in total.

Otium
KVRer
18 posts since 23 Feb, 2005 from Berlin

Post Mon Nov 24, 2008 11:14 am

Hi!

I'm glad, there's an AU-Version of this package, since I'm a Logic user.
And there goes my Problem:
I installed all of the .components like they should be, but only the "widening gain" shows up on stereo tracks. On mono tracks no Blue Cat-plug can be found. In Logic's Audio Unit Manager: still just the "widening gain", no other, not even deactivated.

What can I do? Anyone else got that problem?

:help:


Thanks!

Otium


Update:

after I threw out any other plug from the components folder it worked, but only for the stereo versions. The mono versions let Audio Unit Manager create the following Report:

validating Audio Unit Blue Cat's Triple EQ (Mono) by Blue Cat Audio:

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
AU Validation Tool
Version: 1.2.1b3
Copyright 2003-2007, Apple, Inc. All Rights Reserved.

Specify -h (-help) for command options
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

--------------------------------------------------
VALIDATING AUDIO UNIT: 'aufx' - '8116' - 'Bcau'
--------------------------------------------------
Manufacturer String: Blue Cat Audio
AudioUnit name: Blue Cat's Triple EQ (Mono)
Component Info: www.bluecataudio.com
Component Version: 0.0.1 (0x1)
Component's Bundle Version: 1.0.0

* * PASS
--------------------------------------------------
TESTING OPEN TIMES:
COLD:
Time to open AudioUnit: 18.689 ms
WARM:
Time to open AudioUnit: 0.602 ms
FIRST TIME:
FATAL ERROR: Initialize: result: -10868


validation result: Öffnen fehlgeschlagen


The stereo versions now run even with all my other plugs moved back. So far ...

Otium

User avatar
Blue Cat Audio
KVRAF

Topic Starter

4821 posts since 8 Sep, 2004 from Paris (France)

Post Tue Nov 25, 2008 12:07 am

Hi,

thanks for your feedback and update. We indeed have an issue with mono versions that won't be validated. This might be the reason why the first time Logic failed importing the new plugins.

We already have a fix for this problem and will be releasing a new version asap. I hope you will be happy with the stereo plugins in the meantime :).

BTW for the record, which version of Logic are you using?

Otium
KVRer
18 posts since 23 Feb, 2005 from Berlin

Post Tue Nov 25, 2008 1:11 am

Oh great! Thanks!

i'm using the most recent version: 8.02


Greets,

Otium

User avatar
Blue Cat Audio
KVRAF

Topic Starter

4821 posts since 8 Sep, 2004 from Paris (France)

Post Tue Nov 25, 2008 12:48 pm

A new version is now online. It should fix this issue!

ekiekitabaang
KVRer
8 posts since 30 Jun, 2008 from Helsinki, Finland

Post Sat Nov 29, 2008 1:50 am

Hi
I decided to test your VSTs.
There is still some bug that makes my host (Ableton Live 7.0.12) crash
straight in the program start while scanning vst plugins.

(I downloaded the latest versions of your vst plugins, but
the date of the files is 20.11. though.)


shortly.. I guess the main reason is:

Link (dyld) error:
Symbol not found: _pthread_mutexattr_destroy$UNIX2003
Expected in: /usr/lib/libSystem.B.dylib



But here is the full error report
with all background info of my situation:


Date/Time: 2008-11-29 11:30:07.715 +0200
OS Version: 10.4.11 (Build 8S2167)
Report Version: 4

Command: Live
Path: /Applications/Live 7.0.12 OS X/Live.app/Contents/MacOS/Live
Parent: WindowServer [59]

Version: 7.0.12 (7.0.12)

PID: 253
Thread: Unknown

Link (dyld) error:

Symbol not found: _pthread_mutexattr_destroy$UNIX2003
Referenced from: /Library/Audio/Plug-Ins/VST/BlueCat/Blue Cat Chorus VST(Stereo).vst/Contents/MacOS/Blue Cat Chorus VST(Stereo)
Expected in: /usr/lib/libSystem.B.dylib

Model: MacBookPro3,1, BootROM MBP31.0070.B07, 2 processors, Intel Core 2 Duo, 2.2 GHz, 4 GB
Graphics: GeForce 8600M GT, GeForce 8600M GT, PCIe, 128 MB
Memory Module: BANK 0/DIMM0, 2 GB, DDR2 SDRAM, 667 MHz
Memory Module: BANK 1/DIMM1, 2 GB, DDR2 SDRAM, 667 MHz
AirPort: spairport_wireless_card_type_airport_extreme (0x168C, 0x87), 1.4.4
Bluetooth: Version 1.9.5f4, 2 service, 0 devices, 1 incoming serial ports
Network Service: Sisäinen Ethernet, Ethernet, en0
PCI Card: pci168c,24, sppci_othernetwork, PCI Slot 5
Serial ATA Device: Hitachi HTS722020K9SA00, 186.31 GB
Parallel ATA Device: MATSHITADVD-R UJ-857E
USB Device: Built-in iSight, Apple Inc., Up to 480 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard / Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: IR Receiver, Apple Computer, Inc., Up to 1.5 Mb/sec, 500 mA
USB Device: Bluetooth USB Host Controller, Apple, Inc., Up to 12 Mb/sec, 500 mA
FireWire Device: 0x101800, 0xA35, Up to 400 Mb/sec

User avatar
Blue Cat Audio
KVRAF

Topic Starter

4821 posts since 8 Sep, 2004 from Paris (France)

Post Sat Nov 29, 2008 7:24 pm

Hi,

thanks for your feedback.
(I downloaded the latest versions of your vst plugins, but
the date of the files is 20.11. though.)
Yes, the VSTs where released on Nov. 21st, that's the latest version.

OS Version: 10.4.11 (Build 8S2167)
That's the issue: our plugins unfortunately require Mac OS X Leopard (10.5) and won't work on Tiger (10.4). Sorry about that!

User avatar
Blue Cat Audio
KVRAF

Topic Starter

4821 posts since 8 Sep, 2004 from Paris (France)

Post Thu Dec 04, 2008 7:12 am

The free skins for Blue Cat's Freeware Pack plugins have been updated. They are now compatible with the latest versions of the plugins including Mac support.

You can browse and download them here.

Enjoy!

djwhiterabbit
KVRer
6 posts since 20 Dec, 2006

Post Sat Dec 27, 2008 6:03 pm

I am running Logic 8.0.2 and Mac OS 10.5.5 Leopard. My specs are Mac Pro with 2 X Quad 3.2 GHZ, 32 Gig of Memory, and the Nvidia Quadro FX 5600 video card. I just downloaded the Blue Cat's Freeware Pack Mac AU beta plugins. All the Blue Cat's Freeware Pack Mac AU beta plugins have passed the AU validation successfully. Logic crashes and the crash message states it may have been due to Blue Cat's plugins, possibly the FreqAnalyst. Now Logic states it cannot save my project. Will there be another update very soon to fix this issue that is not Beta for Mac? What is the workaround until then still using these plugins successfully?

User avatar
Blue Cat Audio
KVRAF

Topic Starter

4821 posts since 8 Sep, 2004 from Paris (France)

Post Sun Jan 04, 2009 11:50 pm

Thank you for your feedback. This problem has not been reported yet.

Do you have more details about when the plugins crash? Is it when saving the project? Can you tell us the exact error message Logic displays? This will help us reproduce and fix the issue and maybe give you a workaround before we release the fix.

A new beta is expected this month with several fixes and improvements. Depending on the feedback for this beta the final release date might change so I can't tell you more.

User avatar
Blue Cat Audio
KVRAF

Topic Starter

4821 posts since 8 Sep, 2004 from Paris (France)

Post Wed Jan 07, 2009 5:46 am

@djwhiterabbit: we have tried to reproduce the problem with a similar configuration, and the error does not occur, whatever we try to do with the plugins. Maybe you can provide us with a sample project that causes the issue?

Anyone else having the problem here? We'd like to include a fix for the problem (if it can be reproduced) in the next beta.

dreaddd
KVRAF
3440 posts since 29 Jun, 2004 from Venezia - Italy

Post Tue Feb 10, 2009 4:20 am

bump while im here and thanx for this fine pack BlueCats! :)

Peace
Dubadelica - Electronic music since 1996 http://www.dubadelica.com/about.php
Radio Rebelde - Modern roots reggae with an electronic twist https://radiorebeldereggae.bandcamp.com/

Gdoubleyou
KVRer
5 posts since 11 Oct, 2006 from KIRKLAND WA

Post Wed Feb 11, 2009 9:37 am

Tried the AU final version of the free pack.

All plugs failed AU Eval,it sez they are not authorized for my machine.

That make me think, that they may not be the demo files, unless some sort of authorization is required.

the beta worked fine on my machine.

G-Dub

:-o :shock: :?:
G-Dub
Studio G-fx

User avatar
Blue Cat Audio
KVRAF

Topic Starter

4821 posts since 8 Sep, 2004 from Paris (France)

Post Wed Feb 11, 2009 12:06 pm

Hi,

thank you for your interest in our plugins. Your issue seems very strange. Do you have the exact error message of the auval tool? There is no demo or whatsoever limitation for our freeware plugins: they are entirely free and do not require any authorization of any kind, so I guess this is another problem.

Did you try to remove all plugins, launch Logic (I presume you are using Logic), close Logic, copy one of the plugins and re-launch Logic? Can you see the plugins in Garage Band?

Gdoubleyou
KVRer
5 posts since 11 Oct, 2006 from KIRKLAND WA

Post Wed Feb 11, 2009 9:11 pm

Doh! My mini is on OSX10.4 , but my Macbook is 10.5.6 where they work fine.

mmm. system requirements.

:D :dog: 8)
G-Dub
Studio G-fx

Return to “Blue Cat Audio”